<?php 

class DateExamen extends CI_Controller{


	public function __construct()
	{
		parent::__construct();
		$this->load->model("ExerciceModel","exercice");
		$this->load->model("TermModel","term");
		$this->load->model("ClasseModel","classe");
		$this->load->model("NiveauModel","niveau");
		$this->load->model("BaremeModel","bareme");

		$this->load->model("DateExamenModel","dexamen");
	}

	public function index($values = null)
	{
		$data["active"] = 1;
		$data["action"] = "create";

		$data["lists"] = $this->dexamen->getAll();

		$data["exercices"] = $this->exercice->getAll();
		$terms = [];
		$classes = $this->classe->getAll();
		$niveaux = [];

		if(count($data["exercices"]))
		{
			$terms = $this->term->getAllByExercice($data["exercices"][0]->idExercice);
		}
		$data["terms"] = $terms;

		if(count($classes))
		{
			$niveaux = $this->niveau->getByClasse($classes[0]->idClasse);
		}
		$data["classes"] = $classes;
		$data["niveaux"] = $niveaux;


		if(count($niveaux))
		{
			$data["days"] = explode("|", $niveaux[0]->joursCours);
			$data["matieres"] = $this->bareme->getMatieresByNiveau($niveaux[0]->idNiveau);
		}

		if($values)
		{
			$data["values"] = $values;
		}


		$this->load->view("examen/dateExamen",$data);
	}

	public function getInfoByClasse()
	{
		$classe = (int)$_POST["classe"];
		$niveaux = $this->niveau->getByClasse($classe);
		if(count($niveaux))
		{
			$data["days"] = explode("|", $niveaux[0]->joursCours);
			$data["matieres"] = $this->bareme->getMatieresByNiveau($niveaux[0]->idNiveau);
		}
		$data["niveaux"] = $niveaux;

		$data["component"] = true;
		$this->load->view("examen/components/form_dateExamen",$data);
	}

	public function getInfoByNiveau()
	{
		$classe = (int)$_POST["classe"];
		$niveau = (int)$_POST['niveau'];
		$res = $this->niveau->getOne($niveau);

		$data["niveaux"] = $this->niveau->getByClasse($classe);

		$data["days"] = explode("|", $res->joursCours);
		$data["matieres"] = $this->bareme->getMatieresByNiveau($niveau);

		$data["values"] = ["niveau" => trim($_POST["niveau"])];

		$data["component"] = true;
		$this->load->view("examen/components/form_dateExamen",$data);
	}

	public function resetForm($action,$values)
	{
		$data["values"] = $values;
		$data["action"] = $action;
		$data["active"] = 1;
		$data["lists"] = $this->dexamen->getAll();

		$data["exercices"] = $this->exercice->getAll();
		$terms = [];
		$classes = $this->classe->getAll();
		$niveaux = [];

		if(isset($values["exercice"]))
		{
			$terms = $this->term->getAllByExercice((int)$values["exercice"]);
		}
		$data["terms"] = $terms;

		if(isset($values["classe"]))
		{
			$niveaux = $this->niveau->getByClasse((int)$values["classe"]);
		}
		$data["classes"] = $classes;
		$data["niveaux"] = $niveaux;


		if(isset($values["niveau"]))
		{
			$niv = $this->niveau->getOne((int)$values["niveau"]);
			$data["days"] = explode("|", $niv->joursCours);
			$data["matieres"] = $this->bareme->getMatieresByNiveau($niv->idNiveau);
		}


		$this->load->view("examen/dateExamen",$data);
	}

	public function create()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("term","term","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("niveau","niveau","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("jours","jours","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("matiere","matiere","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("date1","date1","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("duree","duree","required",["required" => "Ce champ est obligatoire"]);

		if(!$this->form_validation->run())
		{
			$this->resetForm("create",$_POST);
			return false;
		}

		$term = (int)$_POST['term'];
		$niveau = (int)$_POST['niveau'];
		$jours = trim($_POST["jours"]);
		$matiere = trim($_POST['matiere']);
		$date1 = trim($_POST['date1']);
		$date2 = trim($_POST["date2"]);
		$duree = trim($_POST["duree"]);

		if($date2 === "")
		{
			$date2 = null;
		}

		if($this->dexamen->isExist($term,$niveau,$jours,$matiere))
		{
			$this->resetForm("create",array_merge($_POST,Utility::getAlert("error","Date déjà enregistré")));
			return false;
		}

		$this->dexamen->create(["idTerm","idNiveau","joursCours","matiere","date1","date2","duree"],[$term,$niveau,$jours,$matiere,$date1,$date2,$duree]);
		$this->index(Utility::getAlert("success"));
	}

	public function getOne()
	{
		$id = (int)$_POST["id"];
		$res = $this->dexamen->getOne($id);

		$data["active"] = 1;
		$data["action"] = "update";

		$data["lists"] = $this->dexamen->getAll();

		$data["exercices"] = $this->exercice->getAll();
		$data["terms"] = $this->term->getAllByExercice($res->idExercice);
		$data["classes"] = $this->classe->getAll();
		$data["niveaux"] = $this->niveau->getByClasse($res->idClasse);

		$niv = $this->niveau->getOne($res->idNiveau);

		$data["days"] = explode("|", $niv->joursCours);
		$data["matieres"] = $this->bareme->getMatieresByNiveau($res->idNiveau);
		
		$data["values"] = [
			"id" => $res->idDateExamen,
			"exercice" => $res->idExercice,
			"term" => $res->idTerm,
			"classe" => $res->idClasse,
			"niveau" => $res->idNiveau,
			"jours" => $res->joursCours,
			"matiere" => $res->matiere,
			"date1" => $res->date1,
			"date2" => $res->date2,
			"duree" => $res->duree
		];

		$this->load->view("examen/dateExamen",$data);

	}

	public function update()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("date1","date1","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("duree","duree","required",["required" => "Ce champ est obligatoire"]);

		if(!$this->form_validation->run())
		{
			$this->getOne();
			return false;
		}

		$date1 = trim($_POST['date1']);
		$date2 = trim($_POST["date2"]);
		$duree = trim($_POST["duree"]);
		$id = (int)$_POST["id"];

		if($date2 === "")
		{
			$date2 = null;
		}

		$this->dexamen->update(["date1","date2","duree"],[$date1,$date2,$duree,$id]);
		$this->index(Utility::getAlert("success"));
	}

	public function delete()
	{
		$id = (int)$_POST["id"];
		$this->dexamen->delete($id);

		$this->index(Utility::getAlert("success","Date d\'examen supprimé"));
	}
	public function filter()
	{
		$query = trim($_POST["query"]);
		if($query === "")
		{
			$this->index();
			return false;
		}

		$data["active"] = 1;
		$data["action"] = "create";

		$data["lists"] = $this->dexamen->getAllSearch("%".$query."%");

		$data["exercices"] = $this->exercice->getAll();
		$terms = [];
		$classes = $this->classe->getAll();
		$niveaux = [];

		if(count($data["exercices"]))
		{
			$terms = $this->term->getAllByExercice($data["exercices"][0]->idExercice);
		}
		$data["terms"] = $terms;

		if(count($classes))
		{
			$niveaux = $this->niveau->getByClasse($classes[0]->idClasse);
		}
		$data["classes"] = $classes;
		$data["niveaux"] = $niveaux;


		if(count($niveaux))
		{
			$data["days"] = explode("|", $niveaux[0]->joursCours);
			$data["matieres"] = $this->bareme->getMatieresByNiveau($niveaux[0]->idNiveau);
		}

		$data["query"] = $query;


		$this->load->view("examen/dateExamen",$data);
	}

	public function export()
	{
		$all = $this->dexamen->getAll();
		$data = [];

		foreach ($all as $value) {

			$date = $value->date1;
			if($value->date2)
			{
				$date .= " - " . $value->date2;
			}

			$data[] = (object)[
				"Session" => $value->anneeExercice . " - " . $value->nomTerm,
				"Classe" => $value->codeClasse,
				"Niveau" => $value->codeNiveau,
				"Matière" => $value->matiere,
				"Jours de cours" => $value->joursCours,
				"Date" => $date,
				"Durée" => $value->duree
			];
		}
		ExportExcel::exporter('DateExamen', $data);
	}
}