<?php 

class Attente extends CI_Controller{

	public function __construct()
	{
		parent::__construct();
		
		$this->load->model("ListeAttenteModel","attente");
	}

	public function index()
	{
		$data["active"] = 3;
		$data["lists"] = $this->attente->getAll();

		$this->load->view("inscription/attente",$data);
	}


	public function filter()
	{
		$query = trim($_POST['query']);

		if($query === "")
		{
			$this->index();
			return false;
		}

		$data["active"] = 3;
		$data["lists"] = $this->attente->getAllSearch("%".$query."%");
		$data["query"] = $query;

		$this->load->view("inscription/attente",$data);
	}

	public function export()
	{
		$all = $this->attente->getAll();
		$data = [];
		foreach ($all as $value) {
			$numero = null;
			if($value->matriculeEtudiant)
			{
				$numero = str_pad($value->matriculeEtudiant,5,"0",STR_PAD_LEFT);
			}
			else
			{
				$numero = $value->numeroPT;
			}
			$data[] = (object)[
				"Session" => $value->anneeExercice . " - " . $value->nomTerm,
				"Numéro PT | Matricule" => $numero,
				"Classe" => $value->codeClasse,
				"Niveau" => $value->codeNiveau,
				"Nom & prénoms" => $value->nom . " " . $value->prenom,
				"Horaire" => $value->debutCours
			];
		}
		ExportExcel::exporter('Waiting', $data);
	}

}