<?php 

class HorairePT extends CI_Controller{

	public function __construct()
	{
		parent::__construct();
		$this->load->model("HorairePTModel","horaire");
		$this->load->model("MatierePTModel","matiere");
	}

	public function index($action="create",$values=null)
	{
		$data["active"] = 1;
		$data["action"] = $action;
		$data["lists"] = $this->horaire->getAll();

		$data["matieres"] = $this->matiere->getAll();

		if($values)
		{
			$data["values"] = $values;
		}

		$this->load->view("parametrage/horairePT",$data);
	}

	public function create()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("debut","debut","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("fin","fin","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("matiere","matiere","required",["required" => "Ce champ est obligatoire"]);
		if(!$this->form_validation->run())
		{
			$this->index("create",$_POST);
			return false;
		}

		$debut = trim($_POST["debut"]);
		$fin = trim($_POST['fin']);
		$matiere = trim($_POST["matiere"]);

		if($this->horaire->isExist($debut,$fin,$matiere))
		{
			$this->index("create",array_merge(Utility::getAlert("error","Horaire déjà enregistré"),$_POST));
			return false;
		}

		$this->horaire->create(["debutPT","finPT","idMatierePT"],[$debut,$fin,$matiere]);
		$this->index("create",array_merge(["matiere" => $matiere],Utility::getAlert("success")));
	}

	public function getOne()
	{
		$id = (int)$_POST["id"];

		$res = $this->horaire->getOne($id);
		
		$this->index("update",[
			"id" => $res->idHorairePT,
			"debut" => $res->debutPT,
			"fin" => $res->finPT,
			"matiere" => $res->idMatierePT
		]);
	}

	public function update()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("debut","debut","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("fin","fin","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("matiere","matiere","required",["required" => "Ce champ est obligatoire"]);
		if(!$this->form_validation->run())
		{
			$this->index("update",$_POST);
			return false;
		}

		$debut = trim($_POST["debut"]);
		$fin = trim($_POST['fin']);
		$matiere = trim($_POST["matiere"]);
		$id = (int)$_POST["id"];

		$toUpdate = $this->horaire->getOne($id);

		if($toUpdate->debutPT !== $debut || $toUpdate->finPT !== $fin || $toUpdate->matierePT !== $matiere)
		{
			if($this->horaire->isExist($debut,$fin,$matiere))
			{
				$this->index("update",array_merge(Utility::getAlert("error","Horaire déjà enregistré"),$_POST));
				return false;
			}
		}

		

		$this->horaire->update(["debutPT","finPT","idMatierePT"],[$debut,$fin,$matiere,$id]);
		$this->index("create",Utility::getAlert("success"));
	}

	public function delete()
	{
		$id = (int)$_POST["id"];
		$this->horaire->delete($id);

		$this->index("create",Utility::getAlert("success","Horaire supprimé"));
	}

	public function filter()
	{
		$query = trim($_POST["query"]);
		if($query === "")
		{
			$this->index("create");
			return false;
		}
		$data["active"] = 1;
		$data["action"] = "create";
		$data["lists"] = $this->horaire->getAllSearch("%".$query."%");

		$data["query"] = $query;
		$data["matieres"] = $this->matiere->getAll();

		$this->load->view("parametrage/horairePT",$data);
	}

}