<?= $values["alert"] ?? null ?>
<div class="container main-container">
	<div class="main-form">
		
		<nav class="main-navigation d-flex">
			<a href="<?= base_url("inscription/inscription") ?>" class="main-navigation-link Lexend_Regular <?= $active === 1 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Inscription</a>
			<a href="<?= base_url("inscription/company") ?>" class="main-navigation-link Lexend_Regular <?= $active === 2 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Compagnie</a>
			<a href="<?= base_url("inscription/attente") ?>" class="main-navigation-link Lexend_Regular <?= $active === 3 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Liste d'attente</a>
		</nav>

		<form class="form-content" method="post" action="<?= base_url("inscription/company/create") ?>" onsubmit="sendForm(event,this)">
			<input type="hidden" name="id" value="<?= $values["id"] ?? null ?>">

			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Exercice :</label>
				<div class="input">
					<?php if(isset($values["exercice"])): ?>
						<select name="exercice" class="form-control <?= form_error('exercice') ? 'input-error' : '' ?>" onchange="getTermInscription(this)">
							<?php foreach($exercices as $exercice): ?>
								<option value="<?= $exercice->idExercice ?>" <?= ($values["exercice"] === $exercice->idExercice) ? "selected" : "" ?>><?= $exercice->anneeExercice ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select name="exercice" class="form-control <?= form_error('exercice') ? 'input-error' : '' ?>" onchange="getTermInscription(this)">
							<?php foreach($exercices as $exercice): ?>
								<option value="<?= $exercice->idExercice ?>"><?= $exercice->anneeExercice ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
					<div class="form-error"><?= form_error('exercice') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Term :</label>
				<div class="input" id="term-inscription">
					<?php include("components/term_inscription.php") ?>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Compagnie :</label>
				<div class="input">
					<?php if(isset($values["compagnie"])): ?>
						<select class="form-control" name="compagnie">
							<?php foreach($compagnies as $compagnie): ?>
								<option value="<?= $compagnie->idCompany ?>" <?= ($values["compagnie"] === $compagnie->idCompany) ? "selected" : "" ?>><?= $compagnie->nomCompany ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select class="form-control" name="compagnie">
							<?php foreach($compagnies as $compagnie): ?>
								<option value="<?= $compagnie->idCompany ?>"><?= $compagnie->nomCompany ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
					<div class="form-error"><?= form_error('compagnie') ?></div>
				</div>
					
			</div>
			
			<div class="form-input d-flex flex-wrap mt-3">
				<label class="mb-0 Lexend_ExtraLight"></label>
				<div class="input">
					<button type="submit" class="btn btn-dark btn-block">Enregistrer</button>
				</div>
				
			</div>
		</form>
	</div>
	<div class="main-search d-flex justify-content-between align-items-center">
		<div class="search-info w-50">
			<span class="d-block">Liste des inscriptions compagnie</span>
		</div>
		<div class="search-form w-50">
			<form class="d-flex position-relative" method="post" action="<?= base_url("inscription/inscription/filter") ?>" onsubmit="filter(event,this)">
				<a href="<?= base_url("inscription/company/export") ?>" class="btn btn-success mr-2" style="width: 200px" target="_blank">Exporter</a>
				<input type="text" name="query" class="form-control" placeholder="Recherche..." value="<?= $query ?? null ?>">
				<button type="submit" class="btn-search"><i class="fa-solid fa-search"></i></button>
			</form>

		</div>
	</div>
	<div class="main-table table-responsive">
		<table class="table">
			<thead>
				<tr>
					<th>Exercice</th>
					<th>Term</th>
					<th>Compagnie</th>
					<th>Nombre etudiants</th>
					<th>Actions</th>
				</tr>
			</thead>
			<tbody id="tbody">
				<?php foreach($lists as $list): ?>
					<tr>
						<td><?= $list->anneeExercice ?></td>
						<td><?= $list->nomTerm ?></td>
						<td><?=	$list->nomCompany ?></td>
						<td><?=	$list->count ?></td>
						<td>
							<form action="<?= base_url("inscription/company/print") ?>" class="d-inline-block" method="post" target="_blank">
								<input type="hidden" name="compagnie" value="<?= $list->idCompany ?>">
								<input type="hidden" name="term" value="<?= $list->idTerm ?>">
								<button type="submit" class="btn p-0 text-info">
									<i class="fa-solid fa-print"></i>
								</button>
							</form>
						</td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	</div>
</div>


<script>
	$(".ui.dropdown").dropdown();
</script>