<?= $values["alert"] ?? null ?>
<div class="container main-container">
	<div class="main-form">
		
		<?php include("components/navbar_classe.php") ?>

		<?php if($action === "create"): ?>
			<form class="form-content" method="post" action="<?= base_url("parametrage/niveau/create") ?>" onsubmit="sendForm(event,this)">
		<?php else: ?>
			<form class="form-content" method="post" action="<?= base_url("parametrage/niveau/update") ?>" onsubmit="sendForm(event,this)">
		<?php endif ?>
			<input type="hidden" name="id" value="<?= $values["id"] ?? null ?>">
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Code niveau :</label>
				<div class="input">
					<input type="text" name="code" class="form-control <?= form_error('code') ? 'input-error' : '' ?>" value="<?= $values['code'] ?? null ?>">
					<div class="form-error"><?= form_error('code') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Degrée niveau :</label>
				<div class="input">
					<input type="number" name="degree" class="form-control <?= form_error('degree') ? 'input-error' : '' ?>" value="<?= $values['degree'] ?? null ?>">
					<div class="form-error"><?= form_error('degree') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Classe :</label>
				<div class="input">
					<?php if(!isset($values["classe"])): ?>
						<select name="classe" class="form-control <?= form_error('classe') ? 'input-error' : '' ?>">
							<?php foreach($classes as $classe): ?>
								<option value="<?= $classe->idClasse ?>"><?= $classe->codeClasse ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select name="classe" class="form-control <?= form_error('classe') ? 'input-error' : '' ?>">
							<?php foreach($classes as $classe): ?>
								<option value="<?= $classe->idClasse ?>" <?= ($values['classe'] === $classe->idClasse) ? 'selected' : '' ?>><?= $classe->codeClasse ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif ?>
					<div class="form-error"><?= form_error('classe') ?></div>
				</div>
			</div>

			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Avec ordre de priorité :</label>
				<div class="input">
					<?php if(isset($values['ordre'])): ?>
						<select name="ordre" class="form-control <?= form_error('ordre') ? 'input-error' : '' ?>">
							<option value="1" <?= ((int)$values['ordre'] === 1) ? 'selected' : '' ?>>OUI</option>
							<option value="0" <?= ((int)$values['ordre'] === 0) ? 'selected' : '' ?>>NON</option>
						</select>
					<?php else: ?>
						<select name="ordre" class="form-control <?= form_error('ordre') ? 'input-error' : '' ?>">
							<option value="1">OUI</option>
							<option value="0">NON</option>
						</select>
						
					<?php endif; ?>
					<div class="form-error"><?= form_error('ordre') ?></div>
				</div>
			</div>

			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Avec categorie :</label>
				<div class="input">
					<?php if(isset($values['categorie'])): ?>
						<select name="categorie" class="form-control <?= form_error('categorie') ? 'input-error' : '' ?>">
							<option value="0" <?= ((int)$values['categorie'] === 0) ? 'selected' : '' ?>>NON</option>
							<option value="1" <?= ((int)$values['categorie'] === 1) ? 'selected' : '' ?>>OUI</option>
						</select>
					<?php else: ?>
						<select name="categorie" class="form-control <?= form_error('categorie') ? 'input-error' : '' ?>">
							<option value="0">NON</option>
							<option value="1">OUI</option>
						</select>
						
					<?php endif; ?>
					<div class="form-error"><?= form_error('categorie') ?></div>
				</div>
			</div>

			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Jours de cours :</label>
				<div class="input">

					<?php foreach($days as $day): ?>
						<div class="form-check">
							<?php if(isset($values["jours"])): ?>
						  		<input class="form-check-input" name="jours[]" type="checkbox" value="<?= $day->nomJoursCours ?>" id="<?= $day->nomJoursCours ?>" <?= (in_array($day->nomJoursCours, $values["jours"])) ? "checked" : "" ?>>
						  	<?php else: ?>
						  		<input class="form-check-input" name="jours[]" type="checkbox" value="<?= $day->nomJoursCours ?>" id="<?= $day->nomJoursCours ?>">
						  	<?php endif; ?>
						  	<label class="form-check-label w-100" for="<?= $day->nomJoursCours ?>">
						    	<?= $day->nomJoursCours ?>
						  	</label>
						</div>
					<?php endforeach; ?>
					<div class="form-error"><?= form_error('jours[]') ?></div>
				</div>
				
			</div>

			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Description :</label>
				<div class="input">
					<textarea type="text" name="description" class="form-control <?= form_error('description') ? 'input-error' : '' ?>"><?= $values['description'] ?? null ?></textarea>
					<div class="form-error"><?= form_error('description') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap mt-3">
				<label class="mb-0 Lexend_ExtraLight"></label>
				<div class="input">
					<?php if($action === "create"): ?>
						<button type="submit" class="btn btn-dark btn-block">Enregistrer</button>
					<?php else: ?>
						<button type="submit" class="btn btn-success btn-block">Modifier</button>
					<?php endif ?>
				</div>
				
			</div>
		</form>
	</div>
	<div class="main-search d-flex justify-content-between align-items-center">
		<div class="search-info w-50">
			<span class="d-block">Liste des niveaux</span>
		</div>
		<div class="search-form w-50">
			<form class="d-flex position-relative" method="post" action="<?= base_url("parametrage/niveau/filter") ?>" onsubmit="filter(event,this)">
				<!-- <a href="#" class="btn btn-success mr-2" style="width: 200px" target="_blank">Exporter</a> -->
				<input type="text" name="query" class="form-control" placeholder="Recherche..." value="<?= $query ?? null ?>">
				<button type="submit" class="btn-search"><i class="fa-solid fa-search"></i></button>
			</form>

		</div>
	</div>
	<div class="main-table table-responsive">
		<table class="table">
			<thead>
				<tr>
					<th>Code niveau</th>
					<th>Degrée</th>
					<th>Classe</th>
					<th>Ordre de priorité</th>
					<th>Avec catégorie</th>
					<th>Jours de cours</th>
					<th>Description</th>
					<th>Actions</th>
				</tr>
			</thead>
			<tbody id="tbody">
				<?php foreach($lists as $list): ?>
					<tr>
						<td><?= $list->codeNiveau ?></td>
						<td><?= $list->degreeNiveau ?></td>
						<td><?= $list->codeClasse ?></td>
						<td><?= ((int)$list->ordrePriorite) ? "OUI" : "NON" ?></td>
						<td><?= ((int)$list->categorie) ? "OUI" : "NON" ?></td>
						<td><?= $list->joursCours ?></td>
						<td><?= $list->description ?></td>
						<td>
							<form action="<?= base_url("parametrage/niveau/getOne") ?>" onsubmit="getOne(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idNiveau ?>">
								<button type="submit" class="btn p-0">
									<i class="fa-solid fa-pen-to-square"></i>
								</button>
							</form>
							<form action="<?= base_url("parametrage/niveau/delete") ?>" onsubmit="remove(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idNiveau ?>">
								<button type="submit" class="btn p-0 text-danger">
									<i class="fa-solid fa-trash-can"></i>
								</button>
							</form>
						</td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	</div>
</div>