

$(document).ready(function() {
	
	// responsive show/hide sidebar
	let screenWidth = $(this).width();
	if(screenWidth <= 768){
		$(".sidebar").removeClass('show');
	}

	$(window).on('resize',function(){
		screenWidth = $(this).width();
		if(screenWidth <= 768){
			$(".sidebar").removeClass('show');
		}else{
			$(".sidebar").addClass('show');
		}
	})

	//Lien sur la sidebar
	let linkItems = $(".sidebar-menu-link.link-item");
	$(linkItems).each(function(){
		$(this).on("click",function(e){
			
			e.preventDefault();
			setMainLoading();
			$(linkItems).removeClass('active');
			$(this).addClass("active");
			$.get($(this).attr("href"), function(res) {
				$(".main").html(res);
			});
			
		})
	})
	// Dropdown autocomplete
	$(".ui.dropdown").dropdown();
});

function toggleSidebar(){
	$(".sidebar").toggleClass('show');
	$(".sidebar-backdrop").toggleClass("d-none");
}

//Tab link
function goToTarget(e,link){
	e.preventDefault();
	$.get($(link).attr('href'), function(res) {
		$(".main").html(res);
	});
}

/**
* Spinner sur le bouton submit form
**/
function setLoadingForm(form){
	let btnSubmit = $(form).find("button[type=submit]");
	$(btnSubmit).html(`<span class="spinner-border spinner-border-sm"></span>`).prop('disabled',true);
}

/**
* Spinner sur le panneau principal
**/
function setMainLoading(){
	$(".main").html(`<div class="main-loading">
			<span class="spinner-border spinner-border-sm text-info"></span>
			<span class="text-info text-sm">Chargement...</span>
		</div>`);
}


/**
 * Previsualisation image avant upload
 * */
 function previewImage(input){
 	let file = input.files[0]
 	if(file.size > 512000){
 		resetInputFile(input);
 		Alert.error("La taille de l'image ne doit pas depasser les 500 ko");
 		return;
 	}
	let fr = new FileReader()
	fr.readAsDataURL(file)
	fr.onloadend = function (e) {
		base64 = fr.result
		$('.image-file').attr('src', base64);
	}
 }

/**
* Reset input file
* */
function resetInputFile(input){
	$(input).wrap("<form class='tmp'></form>");
	let parent = $(input).parent("form.tmp");
	parent[0].reset();
	$(input).unwrap();
}

/**
 * Pagination
 * */
function paginate(e,link){
	e.preventDefault();
	$.get($(link).attr("href"), function(data) {
		$(".main").html(data);
	});
}

/*=====================IMPRESSION FACTURE=============================*/
function print_facture(url){
	let frame = document.getElementById('frame-facture');
	$(frame).prop('src',url);
	frame.addEventListener('load',function(){
		frame.contentWindow.focus();
    	frame.contentWindow.print();
	})
    
}

/**
 * Fusionner deux formulaire
 * 
 * **/
function mergeForm(form1,form2){
	let data = new FormData(form1);
	let data2 = $(form2).serializeArray();
	
	for(let d of data2){
		data.append(d.name,d.value);
	}

	return data;
}

/**
 * Afficher/cacher l'information pointage etudiant
 * 
 * */
function toggleInfo(e,elem){
	e.preventDefault()

	$(elem).next(".more").toggleClass("d-none");

	let text = $(elem).text();
	if(text === "Afficher"){
		$(elem).text("Cacher");
	}else{
		$(elem).text("Afficher");
	}

}

