<?php 

class CategorieClasse extends CI_Controller{

	public function __construct()
	{
		parent::__construct();
		$this->load->model("CategorieClasseModel","categorie");
	}

	public function index($action="create",$values=null)
	{
		$data["active"] = 6;
		$data["action"] = $action;
		$data["lists"] = $this->categorie->getAll();

		if($values)
		{
			$data["values"] = $values;
		}

		$this->load->view("parametrage/categorieClasse",$data);

	}

	public function create()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("nom","nom","required|is_unique[categorieClasse.nomCategorieClasse]",[
			"required" => "Ce champ est obligatoire",
			"is_unique" => "Le nom doit être unique"
		]);
		$this->form_validation->set_rules("debut","debut","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("fin","fin","required",["required" => "Ce champ est obligatoire"]);

		if(!$this->form_validation->run())
		{
			$this->index("create",$_POST);
			return false;
		}
		$nom = trim($_POST["nom"]);
		$debut = trim($_POST["debut"]);
		$fin = trim($_POST["fin"]);

		$this->categorie->create(["nomCategorieClasse","debutCategorieClasse","finCategorieClasse"],[$nom,$debut,$fin]);
		$this->index("create",Utility::getAlert("success"));
	}

	public function getOne()
	{
		$id = (int)$_POST["id"];

		$res = $this->categorie->getOne($id);

		$this->index("update",[
			"id" => $res->idCategorieClasse,
			"nom" => $res->nomCategorieClasse,
			"debut" => $res->debutCategorieClasse,
			"fin" => $res->finCategorieClasse
		]);
	}

	public function update()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("nom","nom","required",[
			"required" => "Ce champ est obligatoire"
		]);
		$this->form_validation->set_rules("debut","debut","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("fin","fin","required",["required" => "Ce champ est obligatoire"]);

		if(!$this->form_validation->run())
		{
			$this->index("update",$_POST);
			return false;
		}
		$nom = trim($_POST["nom"]);
		$debut = trim($_POST["debut"]);
		$fin = trim($_POST["fin"]);
		$id = (int)$_POST["id"];

		$toUpdate = $this->categorie->getOne($id);
		if($nom !== $toUpdate->nomCategorieClasse)
		{
			$this->form_validation->set_rules("nom","nom","is_unique[categorieClasse.nomCategorieClasse]",[
					"is_unique" => "Le nom doit être unique"
				]);
			if(!$this->form_validation->run())
			{
				$this->index("update",$_POST);
				return false;
			}
		}

		$this->categorie->update(["nomCategorieClasse","debutCategorieClasse","finCategorieClasse"],[$nom,$debut,$fin,$id]);
		$this->index("create",Utility::getAlert("success"));
	}

	public function delete()
	{
		$id = (int)$_POST["id"];
		$this->categorie->delete($id);

		$this->index("create",Utility::getAlert("success","Catégorie classe supprimé"));
	}

	public function filter()
	{
		$query = trim($_POST["query"]);
		if($query === "")
		{
			$this->index();
			return false;
		}

		$data["active"] = 6;
		$data["action"] = "create";
		$data["lists"] = $this->categorie->getAllSearch("%".$query."%");

		$data["query"] = $query;

		$this->load->view("parametrage/categorieClasse",$data);

	}

}