<?php

class CDatabase extends CI_Controller
{
	public function __construct()
	{
		parent::__construct();
		if(!isset($_SESSION['userID'])){
			redirect(base_url("login"));
            exit;
		}
		$this->load->model("EtudiantModel","etudiant");
	}

	public function index()
	{
		$file = file_get_contents(base_url("publics/etudiant.csv"));
		$lines = explode("\n",$file);

		$res = DB::customQuery("SELECT DISTINCT codeNiveau FROM niveau");
		$levels = [];

		$niveauxA = [];
		$niveaux = [];

		foreach($res as $r)
		{
			$levels[] = $r->codeNiveau;
		}

		foreach($lines as $k => $line)
		{

			$columns = explode("§", $line);
			dump($columns);die;
			$niv = $columns[9];

			if($niv !== "NULL" && strlen($niv) > 1)
			{
				if(!in_array($niv, $niveaux))
				{
					if($niv[0] !== "A")
					{
						$niveaux[] = $niv;
					}
					else
					{
						if(!in_array($niv, $niveauxA))
							$niveauxA[] = $niv;
					}
				}
			}
		}
		foreach($niveaux as $n)
		{
			if (preg_match('~[0-9]{1}~', $n,$matches)) 
			{
				$slevel = (int)$matches[0];
				if($slevel > 3)
				{
					$slevel = 3;
				}

				$level = preg_replace('~[0-9]+~'," $slevel",$n);

				if (preg_match('~K~', $n,$matches))
				{
					$level = preg_replace('~K~',"",$level);
				}

				if(in_array(trim($level), $levels))
					dump($level);
			}
		}
		//dump($niveaux,$niveauxA);
	}
	public function etudiant()
	{
		$file = file_get_contents(base_url("publics/etudiant.csv"));
		$lines = explode("\n",$file);

		$res = DB::customQuery("SELECT DISTINCT codeNiveau FROM niveau");
		$levels = [];
		foreach($res as $r)
		{
			$levels[] = $r->codeNiveau;
		}

		$matricules = [];

		foreach($lines as $k => $line)
		{
			$columns = explode("§", $line);
			
			$matricule = (int)$columns[0];
			$nom = $columns[1];
			$prenom = $columns[2];
			$adresse = ($columns[3] !== "NULL" && $columns[3] !== "") ? $columns[3] : null;
			$contact = ($columns[4] !== "NULL" && $columns[4] !== "") ? $columns[4] : null;
			$profession = ($columns[6] !== "NULL" && $columns[6] !== "") ? $columns[6] : null;
			$company = $this->getIdCompany($columns[7]);
			$typeEtudiant = "normale";
			if($company)
			{
				$typeEtudiant = "company";
			}
			$niv = $columns[9];

			$codeClasse = "RC";
			$idNiveau = null;
			$idClasse = 3;

			if($niv !== "NULL" && strlen($niv) > 1)
			{	
				if($niv[0] !== "A")
				{
					$level = $niv;
					
					if (preg_match('~[0-9]{1}~', $niv,$matches)) 
					{
						$slevel = (int)$matches[0];
						if($slevel > 3)
						{
							$slevel = 3;
						}

						$level = trim(preg_replace('~[0-9]+~'," $slevel",$niv));
						

						if (preg_match('~K~', $niv,$matches))
						{
							$codeClasse = "Kids";
							$idClasse = 1;
							$level = preg_replace('~K~',"",$level);
						}
						else
						{
							$codeClasse = "Lycée";
							$idClasse = 2;
						}

						if(in_array($level, $levels))
						{
							$idNiveau = $this->getIdNiveau($level,$idClasse);
						}
						else
						{
							$idNiveau = $this->getIdNiveau("BEG 1",$idClasse);
						}
					}

					else
					{
						if(in_array($level, $levels))
						{
							$idNiveau = $this->getIdNiveau($level,$idClasse);
						}
						else
						{
							$idNiveau = $this->getIdNiveau("BEG",$idClasse);
						}
					}

					
				}
				else
				{
					if(in_array($niv, $levels))
					{
						$idNiveau = $this->getIdNiveau($niv,$idClasse);
					}
					else
					{
						$idNiveau = $this->getIdNiveau("A1",$idClasse);
					}
				}
			}
			else
			{
				$idNiveau = $this->getIdNiveau("BEG",$idClasse);
			}

			if(!in_array($matricule, $matricules))
			{
				$matricules[] = $matricule;
				$this->etudiant->create(["nom","prenom","adresse","contact","codeClass","typeEtudiant","idCompany"],[$nom,$prenom,$adresse,$contact,$codeClasse,$typeEtudiant,$company]);
				$idEtudiant = $this->etudiant->getLast();

				DB::insert("etudiantCours")
					->parametters(["matriculeEtudiant","idEtudiant"])
					->execute([$matricule,$idEtudiant]);

				DB::insert("inscriptionCours")
					->parametters(["matriculeEtudiant","idTerm","idHoraireCours","ecolage","priorite","idRemise","modePaiement","joursCours","isValid","idNiveau","idSalle","ecolageRemise"])
					->execute([$matricule,1,1,0,0,-1,"espece","",0,$idNiveau,1,0]);
			}


		}
	}

	public function company()
	{
		$file = file_get_contents(base_url("publics/company.csv"));
		$lines = explode("\n",$file);
		$names = [];
		$companies = [];
		
		foreach($lines as $line)
		{
			$colums = explode("§", $line);
			if($colums[0] !== "NULL" && $colums[0] !== "")
			{
				if(!in_array($colums[0], $names))
				{
					$names[] = $colums[0];
					$adresse = $colums[1];
					$contact = $colums[2];

					if($adresse === "" || $adresse === "NULL")
					{
						$adresse = null;
					}
					if($contact === "" || $contact === "NULL")
					{
						$contact = null;
					}

					$companies[] = (object)[
						"name" => $colums[0],
						"address" => $adresse,
						"contact" => $contact
					];
				}
			}
		}
		foreach($companies as $company)
		{
			DB::insert("company")
				->parametters(["nomCompany","adresseCompany","contactCompany"])
				->execute([
					$company->name,
					$company->address,
					$company->contact
				]);
		}
	}

	private function getIdNiveau($codeNiveau,$idClasse)
	{
		$res = DB::customQuery("SELECT * FROM niveau WHERE idClasse=? AND codeNiveau=?",[$idClasse,$codeNiveau],false);
		return $res->idNiveau;
	}
	private function getIdCompany($nom)
	{
		$res = DB::select("company")
				->where("nomCompany","=")
				->fetchOne([$nom]);
		if($res)
			return $res->idCompany;
		return null;
	}


	/*public function insertCompany()
	{



		$data = file_get_contents(base_url("publics/company.csv"));
		$lines = explode("\n",trim($data));
		$db = new Ch_Database();

		$companyNames = [];
		$companies = [];

		foreach($lines as $line)
		{
			$column = explode(";",$line);
			$name = $column[0];
			$address = $column[1];
			$tel = $column[2];

			if($address === "NULL" || trim($address) === "")
			{
				$address = NULL;
			}
			if($tel === "NULL" || trim($tel) === "")
			{
				$tel = NULL;
			}

			if(!in_array($name,$companyNames))
			{
				$companyNames[] = $name;
				$companies[] = (object)[
					"name" => $name,
					"adresse" => $address,
					"tel" => $tel
				];
			}
		}
		foreach($companies as $company)
		{
			$db->insert('company')
				->parametters(["nomCompany","siegeSocial","contact"])
				->execute([
					$company->name,$company->adresse,$company->tel
				]);
		}
	}*/

	/*public function insertEtu()
	{
		$data = file_get_contents(base_url("publics/etu.csv"));
		$lines = explode("\n",trim($data));
		$db = new Ch_Database();
		$this->load->model("CompanyModel","company");
		$companies = $this->company->getAll();

		$columns_formated = [];
		for($i=1;$i<count($lines);$i++)
		{
			$columns = explode(";",$lines[$i]);

			foreach($columns as $k=>$column)
			{
				if(trim($column) === "" || $column === "NULL")
				{
					$columns[$k] = NULL;
				}
			}
			$columns_formated[] = $columns;
		}

		foreach($columns_formated as $etu)
		{
			$typeEtu = "normale";
			$idCompany = NULL;
			$classe = "RC";

			if($etu[8] !== NULL)
			{
				$typeEtu = "company";
				foreach($companies as $company)
				{
					if($company->nomCompany === $etu[8])
					{
						$idCompany = $company->idCompany;
					}
				}

			}
			$niv = $etu[9];
			if($niv != 'A1' && $niv != 'A1C'&& $niv != 'A2C'&& $niv != 'A2')
			{
				$last = substr($niv, -1);
				if( $last === 'K'){
					$classe = "Kids";
				}
				if( (int)$last !== 0){
					$classe = "Lycée";
				}
			}

			$db->insert("etudiant")
			->parametters(["nom","prenom","adresse","contact","contactUrgence","profession","codeClass","typeEtudiant","idCompany"])
			->execute([
				$etu[2],$etu[3],$etu[4],$etu[5],$etu[6],$etu[7],$classe,$typeEtu,$idCompany
			]);


		}
	}*/

	/*public function insertEtuCours()
	{
		$data = file_get_contents(base_url("publics/etu.csv"));
		$lines = explode("\n",trim($data));
		$db = new Ch_Database();
		for($i=1;$i<count($lines);$i++)
		{
			$column = explode(";",$lines[$i]);
			
			$matricule = (int)$column[1];

			$db->insert("etudiantcours")
				->parametters(["matricule","idEtudiant"])
				->execute([$matricule,$i]);
		}
	}*/

	/*public function insertInscriptionCours()
	{
		$data = file_get_contents(base_url("publics/etu.csv"));
		$lines = explode("\n",trim($data));

		$db = new Ch_Database();
		for($i=1;$i<count($lines);$i++)
		{
			$column = explode(";",$lines[$i]);
			$matricule = (int)$column[1];


			$niv = $column[9];
			$sousNiv = NULL;
			if($niv != 'A1' && $niv != 'A1C'&& $niv != 'A2C'&& $niv != 'A2')
			{
				$last = substr($niv, -1);
				if( $last === 'K'){
					$noK = str_replace("K","", $niv);
					$niv = trim($noK);
					if((int)substr($niv, -1) !== 0 ){
						$sousNiv = substr($niv, -1);
					}
					$niv = str_replace($sousNiv,"", $niv);
				}
				if((int)$last !== 0){
					$sousNiv = (int)$last;
					$niv = str_replace($sousNiv,"", $niv);
				}
			}

			$db->insert("inscriptioncours")
			->parametters(["matricule","idTerm","idCreneaux","ecolage","priorite","paiementName","modePaiement","coursDays","isValid","codeNiv","sousNiv"])
			->execute([
				$matricule,1,1,0,0,"noremise","espece","wed",0,$niv,$sousNiv
			]);
		}
	}*/

}
