<?php 

class Profil extends CI_Controller{

	public function __construct()
	{
		parent::__construct();
		
		if(!isset($_SESSION['userID'])){
			redirect(base_url("login"));
            exit;
		}

		$this->load->model("UserModel","user");
	}

	public function index()
	{
        $data = [];
        
        if (isset($_SESSION['error_username'])) {
            $data['error_username'] = $_SESSION['error_username'];
            unset($_SESSION['error_username']);
        }
        if (isset($_SESSION['success_username'])) {
            $data['success_username'] = $_SESSION['success_username'];
            unset($_SESSION['success_username']);
        }

        
        if (isset($_SESSION['error_password'])) {
            $data['error_password'] = $_SESSION['error_password'];
            unset($_SESSION['error_password']);
        }
        if (isset($_SESSION['success_password'])) {
            $data['success_password'] = $_SESSION['success_password'];
            unset($_SESSION['success_password']);
        }

		$this->load->view("profil", $data);
	}

	public function updateBase()
	{
		$username = trim($_POST['identifiant']);
		$password = $_POST['password'];
        
		$profil = $this->user->findOne("id",$_SESSION['userID']);

		if(!password_verify($password, $profil->password))
		{
            $_SESSION['error_username'] = true;
		}
        else{
            $this->user->update(["username"],[$username,$_SESSION['userID']]);
    
            $_SESSION['username'] = $username;
            $_SESSION['success_username'] = true;
        }
    
        redirect(base_url("profil"));
	}

	public function updatePassword()
	{
		$new = $_POST['new-password'];
		$password = $_POST['password'];

        $profil = $this->user->findOne("id",$_SESSION['userID']);
        if(!password_verify($password, $profil->password))
        {
            $_SESSION['error_password'] = true;
        }else{
            $this->user->update(["password"],[password_hash($new, PASSWORD_DEFAULT),$_SESSION["userID"]]);
            $_SESSION['success_password'] = true;
        }
        
        redirect(base_url("profil"));

	}

}