<?php 

class Term extends CI_Controller{

	public function __construct()
	{
		parent::__construct();
		if(!isset($_SESSION['userID'])){
			redirect(base_url("login"));
            exit;
		}
		$this->load->model("TermModel","term");
		$this->load->model("ExerciceModel","exercice");
	}

	public function index($action="create",$values=null)
	{
		$data["active"] = 2;
		$data["action"] = $action;
		$data["lists"] = $this->term->getAll();

		$data["exercices"] = $this->exercice->getAll();

		if($values)
		{
			$data["values"] = $values;
		}

		$this->load->view("parametrage/term",$data);
	}

	public function create()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("exercice","exercice","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("term","term","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("debut","debut","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("fin","fin","required",["required" => "Ce champ est obligatoire"]);

		if(!$this->form_validation->run())
		{
			$this->index("create",$_POST);
			return false;
		}

		$this->form_validation->set_rules("term","term","callback_term_exist");

		if(!$this->form_validation->run())
		{
			$this->index("create",$_POST);
			return false;
		}

		$exercice = (int)$_POST["exercice"];
		$term = (int)$_POST["term"];
		$debut = trim($_POST["debut"]);
		$fin = trim($_POST["fin"]);

		$this->term->create(["idExercice","numeroTerm","debutTerm","finTerm","nomTerm"],[$exercice,$term,$debut,$fin,"Term {$term}"]);
		$this->index("create",Utility::getAlert("success"));
	}

	public function getOne()
	{
		$id = (int)$_POST["id"];
		$res = $this->term->getOne($id);
		$this->index("update",[
			"id" => $res->idTerm,
			"debut" => $res->debutTerm,
			"fin" => $res->finTerm,
			"term" => $res->numeroTerm,
			"exercice" => $res->idExercice
		]);
	}

	public function update()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("exercice","exercice","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("term","term","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("debut","debut","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("fin","fin","required",["required" => "Ce champ est obligatoire"]);

		if(!$this->form_validation->run())
		{
			$this->index("update",$_POST);
			return false;
		}

		$exercice = (int)$_POST["exercice"];
		$term = (int)$_POST["term"];
		$debut = trim($_POST["debut"]);
		$fin = trim($_POST["fin"]);
		$id = (int)$_POST["id"];

		$toUpdate = $this->term->getOne($id);
		if((int)$toUpdate->numeroTerm !== $term)
		{
			$this->form_validation->set_rules("term","term","callback_term_exist");

			if(!$this->form_validation->run())
			{
				$this->index("update",$_POST);
				return false;
			}
		}

		$this->term->update(["idExercice","numeroTerm","debutTerm","finTerm","nomTerm"],[$exercice,$term,$debut,$fin,"Term {$term}",$id]);
		$this->index("create",Utility::getAlert("success"));
	}

	public function delete()
	{
		$id = (int)$_POST["id"];
		$this->term->delete($id);
		$this->index("create",Utility::getAlert("success","Term supprimé"));
	}

	public function filter()
	{
		$query = trim($_POST["query"]);
		if($query === "")
		{
			$this->index("create");
			return false;
		}
		$data["active"] = 2;
		$data["action"] = "create";
		$data["lists"] = $this->term->getAllSearch("%".$query."%");

		$data["exercices"] = $this->exercice->getAll();

		$data["query"] = $query;

		$this->load->view("parametrage/term",$data);

	}


	/**
	 * 
	 * Form validation
	 * 
	 * */
	public function term_exist($term)
	{
		if($this->term->termExist((int)$_POST["exercice"],(int)$_POST["term"]))
		{
			$this->form_validation->set_message('term_exist', 'Term existant pour cette exercice');
            return FALSE;
		}
		else
		{
			return true;
		}
	}

}