<?php 

class InscriptionPT extends CI_Controller{

	public function __construct()
	{
		parent::__construct();
		if(!isset($_SESSION['userID'])){
			redirect(base_url("login"));
            exit;
		}
		$this->load->model("InscriptionPTModel","inscription");
		$this->load->model("EtudiantModel","etudiant");
		$this->load->model("EtudiantPTModel","etudiantPT");
		$this->load->model("RepartitionPTModel","repartition");
		$this->load->model("RemiseModel","remise");
		$this->load->model("SessionModel","msession");
		$this->load->model("MatierePTModel","matierePt");

	}

	public function index($action="create",$values=null,$page=1)
	{
		$data["active"] = 2;
		$data["action"] = $action;
		$offset = ($page - 1) * LIMIT_PAGINATION;
		$data["lists"] = $this->inscription->getAll($offset);

		$data["totals"] = $this->inscription->getCount();
		$data["currentPage"] = $page;

		if($values)
		{
			$data["values"] = $values;
		}

		$data["remises"] = $this->remise->getAll();
		$matieres = $this->matierePt->getAll();

		foreach ($matieres as $key => $matiere) 
		{
			$data['salles'][] = ["matiere"=>$matiere->nomMatierePT, "salleList" => []];
		}

		$this->load->view("test/inscription",$data);
	}

	public function page($number)
	{
		$page = (int)$number;
		if($page <= 0)
		{
			$page = 1;
		}

		if(isset($_GET["query"]))
		{
			$query = htmlspecialchars(trim($_GET['query']));
			$total = $this->inscription->getCountSearch("%" .$query."%");
			$npages = ceil($total/LIMIT_PAGINATION);

			if($page > $npages)
			{
				$page = $npages;
			}
			$_POST['query'] = $query;
			$this->filter($page);
		}
		else
		{
			$total = $this->inscription->getCount();
			$npages = ceil($total/LIMIT_PAGINATION);

			if($page > $npages)
			{
				$page = $npages;
			}
			$this->index("create",null,$page);
		}
	}

	public function resetForm($action="create",$values=null)
	{
		$data["active"] = 2;
		$data["action"] = $action;
		$data["lists"] = $this->inscription->getAll();

		if($values)
		{
			$data["values"] = $values;
		}

		$data["remises"] = $this->remise->getAll();

		$numero = (int)$_POST["numeroPT"] . "";
		$first = $numero[0];
		$numeroPT = $numero . "/PT/T" . $first;

		$etu = $this->etudiantPT->getOne($numeroPT);
		if($etu)
		{
			$idSession = $etu->idSession;

			$dates = $this->repartition->getDateBySession($idSession);
			$data["dates"] = $dates;
			$data["sallesEcrit"] = [];
			$data["sallesOrale"] = [];

			if(count($dates))
			{
				$data["sallesEcrit"] = $this->repartition->getSalleDispo($_POST['date'],"Ecrit");
				$data["sallesOrale"] = $this->repartition->getSalleDispo($_POST['date'],"Orale");
			}
			
		}

		$this->load->view("test/inscription",$data);
	}

	public function getInfo()
	{
		$numero = (int)$_POST["numeroPT"] . "";
		$first = $numero[0];
		$numeroPT = $numero . "/PT/T" . $first;

		$etu = $this->etudiantPT->getOne($numeroPT);
		if($etu)
		{
			$idSession = $etu->idSession;
			$data["values"] = [
				"numeroPT" => $etu->numeroPT,
				"fullname" => $etu->nom . " " . $etu->prenom,
				"droit" => $this->msession->getDroitTest($idSession)
			];


			$dates = $this->repartition->getDateBySession($idSession);
			$data["dates"] = $dates;
			// $data["sallesEcrit"] = [];
			// $data["sallesOrale"] = [];


			if(count($dates))
			{
				$matieres = $this->matierePt->getAll();

				foreach ($matieres as $key => $matiere) 
				{
					$data['salles'][] = ["matiere"=>$matiere->nomMatierePT, "salleList" => $this->repartition->getSalleDispo($dates[0]->dateTest, $matiere->nomMatierePT)];
				}
			}
			
		}

		$data["remises"] = $this->remise->getAll();
		$data["action"] = "create";

		$this->load->view("test/components/form_inscription",$data);
		$this->load->view("test/components/sallePT",$data);
	}

	public function getSalle()
	{
		$numeroPT = trim($_POST['numeroPT']);
		$date = trim($_POST["date"]);

		$etu = $this->etudiantPT->getOne($numeroPT);

		$idSession = 0;
		if($etu)
		{
			$idSession = $etu->idSession;
		}

		$data["sallesEcrit"] = $this->repartition->getSalleDispo($date,"Ecrit");
		$data["sallesOrale"] = $this->repartition->getSalleDispo($date,"Orale");

		$this->load->view("test/components/sallePT",$data);
	}

	public function getDroit()
	{
		$numeroPT = trim($_POST['numeroPT']);
		$idRemise = (int)$_POST["remise"];
		$etu = $this->etudiantPT->getOne($numeroPT);

		$idSession = 0;
		if($etu)
		{
			$idSession = $etu->idSession;
		}
		$droit = $this->msession->getDroitTest($idSession);
		if($idRemise > 0)
		{
			$res = $this->remise->getOne($idRemise);
			$droit = round(($droit * (100 - (int)$res->valueRemise)) / 100);
		}
		

		echo json_encode(["droit" => $droit]);
	}

	public function create()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("numeroPT","numeroPT","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("date","date","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("mode-paiement","mode-paiement","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("remise","remise","required",["required" => "Ce champ est obligatoire"]);

		foreach ($_POST['salle'] as $key => $post) {
			if(empty($post)){
				$this->resetForm("create",$_POST);
				return false;
			}
		}

		if(!$this->form_validation->run())
		{
			$this->resetForm("create",$_POST);
			return false;
		}

		$numero = htmlspecialchars(trim($_POST['numeroPT']));
		$date = htmlspecialchars(trim($_POST['date']));
		$mode = htmlspecialchars(trim($_POST['mode-paiement']));
		$remise = htmlspecialchars(trim($_POST['remise']));
		$droit = htmlspecialchars(trim($_POST['droit']));

		$salles = [];

		foreach ($_POST['salle'] as $key => $post) {
			$matiere = explode(':', htmlspecialchars(trim($post)));
			$matiere = htmlspecialchars(trim($matiere[0]));

			$idRepartitionPT = explode(':', htmlspecialchars(trim($post)));
			$idRepartitionPT = htmlspecialchars(trim($idRepartitionPT[1]));

			$salles[$matiere] = $idRepartitionPT;	
		}



		if ($this->inscription->isInscrit($date, $numero)) 
		{
			$this->resetForm("create",array_merge($_POST,Utility::getAlert("success",'Etudiant déjà inscrit à cette date')));
			return false;
		}

		foreach ($salles as $key => $salle) 
		{
			if(strpos(strtolower($key), 'oral') !== false){
				$salleOral = $salle;
				$heureOral = $this->repartition->getHeure($salle);
			}else{
				$salleEcrit = $salle;
				$heureEcrit = $this->repartition->getHeure($salle);
			}
		}

		$session = $this->etudiantPT->getSession($numero);
		$dateInscription = $session->dateInscription;
		$heureInscription = $this->inscription->getHeureInscription($dateInscription);

		$heureOral = $heureOral->debutPT .'-'. $heureOral->finPT ;
		$heureEcrit = $heureEcrit->debutPT .'-'. $heureEcrit->finPT ;

		$this->inscription->create(
			["numeroPT", "dateTest", "montantPaye", "modePaiement", "idRemise", "salleOral", "salleEcrit", "heureInscription", "heureOral", "heureEcrit"], [$numero, $date, $droit, $mode, $remise, $salleOral, $salleEcrit, $heureInscription, $heureOral, $heureEcrit
		]);

		$this->repartition->updateOccupationSalle($salleEcrit);
		$this->repartition->updateOccupationSalle($salleOral);

		$this->index("create",Utility::getAlert("success"));


	}

	public function getOne()
	{
		$id = (int)$_POST["id"];
		$res = $this->inscription->getOne($id);
		$matieres = $this->matierePt->getAll();

		foreach ($matieres as $key => $matiere) 
		{
			$data['salles'][] = ["matiere"=>$matiere->nomMatierePT, "salleList" => $this->repartition->getSalleDispo($res->dateTest, $matiere->nomMatierePT)];
		}

		$salleEcrit = $this->repartition->getSalleById($res->salleEcrit);
		$salleOral = $this->repartition->getSalleById($res->salleOral);
		

		$data["action"] = "update";
		$data["active"] = 2;
		$data["lists"] = $this->inscription->getAll();

		$data["dates"] = $this->repartition->getDateBySession($res->idSession);
		$data["remises"] = $this->remise->getAll();

		$data["values"] = [
			"id" => $res->idInscriptionPT,
			"numeroPT" => $res->numeroPT,
			"fullname" => $res->nom . " " . $res->prenom,
			"date" => $res->dateTest,
			"mode-paiement" => $res->modePaiement,
			"remise" => $res->idRemise,
			"droit" => $res->montantPaye,
			"salle-ecrit" => $res->salleEcrit,
			"salle-orale" => $res->salleOral
		];

		$this->load->view("test/inscription",$data);

	}

	public function update()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("date", "date", "required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("mode-paiement", "mode", "required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("remise", "remise", "required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("droit", "droit", "required",["required" => "Ce champ est obligatoire"]);
		
		foreach ($_POST['salle'] as $key => $post) {
			if(empty($post)){
				$this->resetForm("update",$_POST);
				return false;
			}
		}

		if (!$this->form_validation->run()) 
		{
			$this->resetForm("update",$_POST);
			return false;
		}


		$date = htmlspecialchars(trim($_POST['date']));
		$mode = htmlspecialchars(trim($_POST['mode-paiement']));
		$remise = htmlspecialchars(trim($_POST['remise']));
		$droit = htmlspecialchars(trim($_POST['droit']));
		$numero = htmlspecialchars(trim($_POST['numeroPT']));

		$salles = [];

		foreach ($_POST['salle'] as $key => $post) {
			$matiere = explode(':', htmlspecialchars(trim($post)));
			$matiere = htmlspecialchars(trim($matiere[0]));

			$idRepartitionPT = explode(':', htmlspecialchars(trim($post)));
			$idRepartitionPT = htmlspecialchars(trim($idRepartitionPT[1]));

			$salles[$matiere] = $idRepartitionPT;	
		}


		$idInscription = (int)$_POST['id'];

		$current = $this->inscription->getOne($idInscription);

		if ($date !== $current->dateTest) 
		{
			if ($this->inscription->isInscrit($date, $numero)) 
			{
				$this->resetForm("update",
					array_merge(
						$_POST,
						Utility::getAlert("success",'Etudiant déjà inscrit à cette date')
					)
				);
				return false;
			}
		}


		foreach ($salles as $key => $salle) 
		{
			if(strpos(strtolower($key), 'oral') !== false){
				$salleOral = $salle;
				$heureOral = $this->repartition->getHeure($salle);
			}else{
				$salleEcrit = $salle;
				$heureEcrit = $this->repartition->getHeure($salle);
			}
		}

		$session = $this->etudiantPT->getSession($numero);
		$dateInscription = $session->dateInscription;
		$heureInscription = $this->inscription->getHeureInscription($dateInscription);


		$heureOral = $heureOral->debutPT .'-'. $heureOral->finPT ;
		$heureEcrit = $heureEcrit->debutPT .'-'. $heureEcrit->finPT ;

		
		$this->inscription->update(
			["dateTest", "montantPaye", "modePaiement", "idRemise", "salleOral", "salleEcrit", "heureInscription", "heureOral", "heureEcrit"], 
			[$date, $droit, $mode, $remise, $salleOral, $salleEcrit, $heureInscription, $heureOral, $heureEcrit, $idInscription ]);

		if ((int)$salleEcrit !== (int)$current->salleEcrit) {
			$this->repartition->updateOccupationSalle($salleEcrit);
			$this->repartition->updateOccupationSalle($current->salleEcrit, -1);
		}
		if ((int)$salleOral !== (int)$current->salleOral) {
			$this->repartition->updateOccupationSalle($salleOral);
			$this->repartition->updateOccupationSalle($current->salleOral, -1);
		}


		$this->index("create",Utility::getAlert("success"));
	}

	public function delete()
	{
		$id = (int)$_POST["id"];
		$to_delete = $this->inscription->getOne($id);
		
		/*$this->load->model('ResultModel', 'result');
		$this->result->deleteByNumero($to_delete->numeroPT);
		$this->inscriptionCours->deleteByNumero($to_delete->numeroPT);
*/
		$this->repartition->updateOccupationSalle($to_delete->salleOral, -1);
		$this->repartition->updateOccupationSalle($to_delete->salleEcrit, -1);

		$this->inscription->delete($id);
		$this->index("create",Utility::getAlert("success","Inscription supprimé"));
	}

	public function filter($page=1)
	{
		$query = trim($_POST["query"]);
		if($query === "")
		{
			$this->index();
			return false;
		}

		$data["active"] = 2;
		$data["action"] = "create";
		$offset = ($page - 1) * LIMIT_PAGINATION;
		$data["lists"] = $this->inscription->getAllSearch("%".$query."%",$offset);

		$data["query"] = $query;

		$data["remises"] = $this->remise->getAll();
		
		$data["totals"] = $this->inscription->getCountSearch("%".$query."%");
		$data["currentPage"] = $page;

		$this->load->view("test/inscription",$data);

	}

	public function export()
	{
		$all = $this->inscription->getAll();
		$data = [];
		foreach ($all as $value) {
			$data[] = (object)[
				"Numero PT" => $value->numeroPT,
				"Nom et prénoms" => $value->nom . " " . $value->prenom,
				"Date de test" => $value->dateTest,
				"Montant" => $value->montantPaye,
				"Mode de paiement" => $value->modePaiement,
				"Remise" => $value->nomRemise,
				"Type d'étudiant" => $value->typeEtudiant,
				"Salle écrit" => $value->s_ecrit,
				"Heure écrit" => $value->heureEcrit,
				"Salle orale" => $value->s_oral,
				"Heure oral" => $value->heureOral
			];
		}
		ExportExcel::exporter('inscriptionPT', $data);
	}

	public function printRecu()
	{
		$id = (int)$_POST['id'];
		$data['recu'] = $this->inscription->getRecu($id);
		if (!$data['recu']) {
			exit();
		}
		$this->load->view('test/components/recu', $data);
	}



}