<?php 

class HoraireCoursModel extends CI_Model{

	public function getAll()
	{
		return DB::select("horaireCours")->order(["debutCours" => "ASC"])->execute();
	}

	public function create($fields,$values)
	{
		DB::insert("horaireCours")->parametters($fields)->execute($values);
	}
	public function update($fields,$values)
	{
		DB::update("horaireCours")
			->parametters($fields)
			->where("idHoraireCours","=")
			->execute($values);
	}

	public function getOne($id)
	{
		return DB::select("horaireCours")
					->where("idHoraireCours","=")
					->fetchOne([$id]);
	}
	public function delete($id)
	{
		DB::delete("horaireCours")
			->where("idHoraireCours","=")
			->execute([$id]);
	}



	/***
	 * Verifie si le creneau est deja enregistré
	 * 
	 * */
	public function isExist($debut,$fin)
	{
		$res = DB::customQuery("SELECT * FROM horaireCours WHERE debutCours=? AND finCours=?",[$debut,$fin],false);

		if($res)
			return true;
		return false;
	}

	/**
	 * Recupere ID horaire via debut cours
	 * 
	 * */
	public function getIdByDebut($debut)
	{
		$res = DB::select("horaireCours")
					->where("debutCours","=")
					->fetchOne([$debut]);
		if($res)
			return $res->idHoraireCours;
		return null;
	}


}