<?php 

class PointageModel extends CI_Model{

	public function getAll()
	{
		return DB::select("pointage")
					->inner("enseignant","matriculeEnseignant")
					->where("datePointage","=")
					->order(["idPointage" => "DESC"])
					->execute([date("Y-m-d")]);
	}

	public function getAllSearch($query)
	{
		return DB::customQuery("SELECT * FROM pointage
			INNER JOIN enseignant ON enseignant.matriculeEnseignant=pointage.matriculeEnseignant
			WHERE datePointage=?
			AND( pointage.matriculeEnseignant LIKE ?
			OR enseignant.nomEnseignant LIKE ?
			OR enseignant.prenomEnseignant LIKE ?)",
			[date("Y-m-d"),$query,$query,$query]
		);
	}

	public function getOne($id)
	{
		return DB::select("pointage")
					->inner("enseignant","matriculeEnseignant")
					->where("idPointage","=")
					->fetchOne([$id]);
	}

	public function isExist($matricule,$date)
	{
		$res = DB::select("pointage")
				->where("matriculeEnseignant","=")
				->and("datePointage","=")
				->execute([$matricule,$date]);
		if($res)
			return true;
		return false;
	}

	public function create($fields,$values)
	{
		DB::insert("pointage")
			->parametters($fields)
			->execute($values);
	}

	public function update($fields,$values)
	{
		DB::update("pointage")
			->parametters($fields)
			->where("idPointage","=")
			->execute($values);
	}

	public function delete($id)
	{
		DB::delete("pointage")
			->where("idPointage","=")
			->execute([$id]);
	}


	public function getHistory($date1,$date2,$matricule)
	{
		return DB::select("pointage")
					->where("matriculeEnseignant","=")
					->and("datePointage",">=")
					->and("datePointage","<=")
					->order(["datePointage" => "ASC"])
					->execute([$matricule,$date1,$date2]);
	}

}