<?php  

class ScoringModel extends CI_Model{

	public function getAll()
	{
		return DB::customQuery("SELECT scoring.*,classe.codeClasse,niveau.codeNiveau
			FROM scoring
			INNER JOIN classe ON classe.idClasse=scoring.idClasse
			INNER JOIN niveau ON niveau.idNiveau=scoring.idNiveau
			ORDER BY classe.idClasse,rating");
	}

	public function getAllSearch($query)
	{
		return DB::customQuery("SELECT scoring.*,classe.codeClasse,niveau.codeNiveau
			FROM scoring
			INNER JOIN classe ON classe.idClasse=scoring.idClasse
			INNER JOIN niveau ON niveau.idNiveau=scoring.idNiveau
			WHERE classe.codeClasse LIKE ?
			OR niveau.codeNiveau LIKE ?
			ORDER BY classe.idClasse,rating",
			[$query,$query]
		);
	}

	public function getOne($id)
	{
		return DB::select("scoring")
					->where("idScoring","=")
					->fetchOne([$id]);
	}

	public function create($fields,$values)
	{
		DB::insert("scoring")
			->parametters($fields)
			->execute($values);
	}

	public function update($fields,$values)
	{
		DB::update("scoring")
			->parametters($fields)
			->where("idScoring","=")
			->execute($values);
	}

	public function delete($id)
	{
		DB::delete("scoring")
			->where("idScoring","=")
			->execute([$id]);
	}

	/**
	 * Test doublon niveau,score et rating
	 * 
	 * */
	public function scoreExist($debut,$fin,$classe)
	{
		$res = DB::customQuery("SELECT * FROM scoring
			WHERE idClasse = ? 
			AND ((debutScore <= ? AND finScore >= ?)
			OR (debutScore <= ? AND finScore >= ?))",
			[$classe,$debut,$debut,$fin,$fin],false
		);
		if($res)
			return true;

		$res = DB::customQuery("SELECT * FROM scoring
			WHERE debutScore >= ? AND finScore <= ?
			AND idClasse=?",
			[$debut,$fin,$classe],false
		);

		if($res)
			return true;
		return false;
	}
	public function ratingExist($rating,$classe)
	{
		$res = DB::select("scoring")
					->where("rating","=")
					->and("idNiveau","=")
					->fetchOne([$rating,$classe]);
		if($res)
			return true;
		return false;
	}
	public function niveauExist($niveau)
	{
		$res = DB::select("scoring")
					->where("idNiveau","=")
					->fetchOne([$niveau]);
		if($res)
			return true;
		return false;
	}


}