<?php 

class TermModel extends CI_Model{

	public function getAll()
	{
		return DB::customQuery("SELECT * FROM term INNER JOIN exercice ON exercice.idExercice=term.idExercice ORDER BY idTerm DESC");
	}

	public function getAllSearch($query)
	{
		return DB::customQuery("SELECT * FROM term
			INNER JOIN exercice ON exercice.idExercice=term.idExercice
			WHERE nomTerm LIKE ?
			OR anneeExercice LIKE ?",
			[$query,$query]
		);
	}

	public function create($fields,$values)
	{
		DB::insert("term")
			->parametters($fields)
			->execute($values);
	}
	public function update($fields,$values)
	{
		DB::update("term")
			->parametters($fields)
			->where("idTerm","=")
			->execute($values);
	}

	public function getOne($id)
	{
		return DB::customQuery("SELECT * FROM term INNER JOIN exercice ON exercice.idExercice=term.idExercice WHERE idTerm=?",[$id],false);
	}
	public function delete($id)
	{
		DB::delete("term")->where("idTerm","=")->execute([$id]);
	}

	/**
	 * Verifie si le term existe deja
	 * 
	 * */

	public function termExist($exercice,$term)
	{
		$res = DB::customQuery("SELECT * FROM term WHERE idExercice=? AND numeroTerm=?",[$exercice,$term],false);
		if($res)
			return true;
		return false;
	}

	/**
	 * 
	 * Selectionne tous les terms d'une exercice
	 * 
	 * */
	public function getAllByExercice($idExercice)
	{
		return DB::select("term")
					->where("idExercice","=")
					->execute([$idExercice]);
	}

	/**
	 * 
	 * Selectionne la terme precedente
	 * 
	 * */
	public function getPrevTerm($exercice,$term)
    {
    	$currentTerm = $this->getOne($term);
     
        $numeroTerm = $currentTerm->numeroTerm;
        
        $prev = (int)$numeroTerm - 1;
        $annee = (int)$currentTerm->anneeExercice;
        if($prev === 0)
        {
            $prev = 4;
            $annee -= 1;
        }

        $res = DB::customQuery("SELECT idTerm FROM term
        	INNER JOIN exercice ON exercice.idExercice=term.idExercice
        	WHERE exercice.anneeExercice=?
        	AND term.numeroTerm=?",
        	[$annee,$prev],false
        );

        if(!$res)
            return 0;
        return (int)$res->idTerm;
    }

}