<?php 

class HorairePTModel extends CI_Model{

	public function getAll()
	{
		return DB::select("horairePT")
				->inner("matierePT","idMatierePT")
				->order(["debutPT" => "ASC"])
				->execute();
	}

	public function getAllSearch($query)
	{
		return DB::customQuery("SELECT * FROM horairePT 
			INNER JOIN matierePT ON horairePT.idMatierePT=matierePT.idMatierePT
			WHERE nomMatierePT LIKE ? 
			ORDER BY debutPT ASC",
			[$query]
		);
	}

	public function getOne($id)
	{
		return DB::select("horairePT")
					->where("idHorairePT","=")
					->fetchOne([$id]);
	}

	public function create($fields,$values)
	{
		DB::insert("horairePT")
			->parametters($fields)
			->execute($values);
	}
	public function update($fields,$values)
	{
		DB::update("horairePT")
			->parametters($fields)
			->where("idHorairePT","=")
			->execute($values);
	}

	public function delete($id)
	{
		DB::delete("horairePT")
			->where("idHorairePT","=")
			->execute([$id]);
	}


	/***
	 * Verifie si le creneau est deja enregistré
	 * 
	 * */
	public function isExist($debut,$fin,$matiere)
	{
		$res = DB::customQuery("SELECT * FROM horairePT WHERE debutPT=? AND finPT=? AND idMatierePT=?",[$debut,$fin,$matiere],false);

		if($res)
			return true;
		return false;
	}

	/**
	 * Recupere tous les horaires d'un matiere
	 * 
	 * */
	public function getByMatiere($idMatiere)
	{
		return DB::select("horairePT")
				->where("idMatierePT","=")
				->order(["debutPT" => "ASC"])
				->execute([$idMatiere]);
	}


}