<?= $values["open_modal"] ?? null ?>
<?= $values["alert"] ?? null ?>
<div class="container main-container">
	<div class="main-form">
		
		<nav class="main-navigation d-flex">
			<a href="<?= base_url("examen/resultat") ?>" class="main-navigation-link Lexend_Regular <?= $active === 1 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Resultat en salle</a>
			<a href="<?= base_url("examen/resultatOnline") ?>" class="main-navigation-link Lexend_Regular <?= $active === 2 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Resultat en ligne</a>
			<a href="<?= base_url("examen/traitement") ?>" class="main-navigation-link Lexend_Regular <?= $active === 3 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Traitement</a>
		</nav>

		<form class="form-content" method="post" action="<?= base_url("examen/traitement/run") ?>" onsubmit="sendForm(event,this)">

			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Exercice :</label>
				<div class="input">
					<?php if(isset($values["exercice"])): ?>
						<select name="exercice" class="form-control <?= form_error('exercice') ? 'input-error' : '' ?>" onchange="getTermExamen(this)">
							<?php foreach($exercices as $exercice): ?>
								<option value="<?= $exercice->idExercice ?>" <?= ($values["exercice"] === $exercice->idExercice) ? "selected" : "" ?>><?= $exercice->anneeExercice ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select name="exercice" class="form-control <?= form_error('exercice') ? 'input-error' : '' ?>" onchange="getTermExamen(this)">
							<?php foreach($exercices as $exercice): ?>
								<option value="<?= $exercice->idExercice ?>"><?= $exercice->anneeExercice ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
					<div class="form-error"><?= form_error('exercice') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Term :</label>
				<div class="input" id="term-examen">
					<?php include("components/term_examen.php") ?>
				</div>
				
			</div>

			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Classe :</label>
				<div class="input">
					<?php if(isset($values["classe"])): ?>
						<select name="classe" class="form-control <?= form_error('classe') ? 'input-error' : '' ?>" onchange="getNiveauExamen(this)">
							<?php foreach($classes as $classe): ?>
								<option value="<?= $classe->idClasse ?>" <?= ($values["classe"] === $classe->idClasse) ? "selected" : "" ?>><?= $classe->codeClasse ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select name="classe" class="form-control <?= form_error('classe') ? 'input-error' : '' ?>" onchange="getNiveauExamen(this)">
							<?php foreach($classes as $classe): ?>
								<option value="<?= $classe->idClasse ?>"><?= $classe->codeClasse ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
					<div class="form-error"><?= form_error('classe') ?></div>
				</div>
				
			</div>

			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Niveau :</label>
				<div class="input" id="niveau-examen">
					<?php include("components/niveau_examen.php") ?>
				</div>
				
			</div>

			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Type cours :</label>
				<div class="input">
					<?php if(isset($values["type"])): ?>
						<select name="type" class="form-control <?= form_error('type') ? 'input-error' : '' ?>">
							<option value="Salle" <?= ($values["type"] === "Salle") ? "selected" : "" ?>>En salle</option>
							<option value="Online" <?= ($values["type"] === "Online") ? "selected" : "" ?>>Online</option>
						</select>
					<?php else: ?>
						<select name="type" class="form-control <?= form_error('type') ? 'input-error' : '' ?>">
							<option value="Salle">En salle</option>
							<option value="Online">Online</option>
						</select>
					<?php endif; ?>
					<div class="form-error"><?= form_error('type') ?></div>
				</div>
				
			</div>
			
			<div class="form-input d-flex flex-wrap mt-3">
				<label class="mb-0 Lexend_ExtraLight"></label>
				<div class="input">
					<button type="submit" class="btn btn-dark btn-block">Demmarer</button>
				</div>
				
			</div>
		</form>
	</div>
	<div class="main-search d-flex justify-content-between align-items-center">
		<div class="search-info w-50">
			<span class="d-block">Liste des resultats</span>
		</div>
		<div class="search-form w-50">
			<form class="d-flex position-relative" method="post" action="<?= base_url("examen/traitement/filter") ?>" onsubmit="filter(event,this)">
				<a href="<?= base_url("examen/traitement/export") ?>" class="btn btn-success mr-2" style="width: 200px" target="_blank">Exporter</a>
				<input type="text" name="query" class="form-control" placeholder="Recherche..." value="<?= $query ?? null ?>">
				<button type="submit" class="btn-search"><i class="fa-solid fa-search"></i></button>
			</form>

		</div>
	</div>
	<div class="main-table table-responsive">
		<table class="table">
			<thead>
				<tr>
					<th>Session</th>
					<th>Matricule</th>
					<th>Nom & prénoms</th>
					<th>Classe</th>
					<th>Niveau</th>
					<th>Ready to</th>
					<th>Status</th>
					<th>Actions</th>
				</tr>
			</thead>
			<tbody id="tbody">
				<?php foreach($lists as $list): ?>
					<tr>
						<td><?= $list->anneeExercice ?> - <?= $list->nomTerm ?></td>
						<td><?= str_pad($list->matriculeEtudiant,5,"0",STR_PAD_LEFT) ?></td>
						<td><?=	$list->nom ?> <?=	$list->prenom ?></td>
						<td><?= $list->codeClasse ?></td>
						<td><?= $list->codeNiveau ?></td>
						<td><?= $list->readyToCodeNiveau ?></td>
						<td><?= $list->state ?></td>
						<td>
							<form action="<?= base_url("examen/traitement/view") ?>" onsubmit="viewResult(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idResultatExamen ?>">
								<button type="submit" class="btn p-0 text-info">
									<i class="fa-solid fa-eye"></i>
								</button>
							</form>
							<form action="<?= base_url("examen/traitement/delete") ?>" onsubmit="remove(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idResultatExamen ?>">
								<button type="submit" class="btn p-0 text-danger">
									<i class="fa-solid fa-trash-can"></i>
								</button>
							</form>
						</td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	</div>
</div>

<!-- Modal -->
<div class="modal fade" id="modal-detail-resultat" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
	<div class="modal-dialog modal-lg">
	    <div class="modal-content">
		    <div class="modal-header">
		        <h5 class="modal-title" id="exampleModalLabel">Notes de l'etudiant</h5>
		        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
		          <span aria-hidden="true">&times;</span>
		        </button>
		    </div>
		    <div class="modal-body" id="modal-detail-resultat-content">
		        
		    </div>
		    <div class="modal-footer">
		        <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
		    </div>
	    </div>
	</div>
</div>
