<?= $values["alert"] ?? null ?>
<div class="container main-container">
	<div class="main-form">
		
		<nav class="main-navigation d-flex">
			<a href="<?= base_url("inscription/inscription") ?>" class="main-navigation-link Lexend_Regular <?= $active === 1 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Inscription</a>
			<a href="<?= base_url("inscription/company") ?>" class="main-navigation-link Lexend_Regular <?= $active === 2 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Compagnie</a>
			<a href="<?= base_url("inscription/attente") ?>" class="main-navigation-link Lexend_Regular <?= $active === 3 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Liste d'attente</a>
		</nav>

		<?php if($action === "create"): ?>
			<form class="form-content" method="post" action="<?= base_url("inscription/inscription/create") ?>" onsubmit="sendForm(event,this)" id="form-inscription-cours">
		<?php else: ?>
			<form class="form-content" method="post" action="<?= base_url("inscription/inscription/update") ?>" onsubmit="sendForm(event,this)" id="form-inscription-cours">
				<input type="hidden" name="term" value="<?= $values["term"] ?>">
		<?php endif ?>
			<input type="hidden" name="id" value="<?= $values["id"] ?? null ?>">


			<input type="hidden" name="action" value="<?= $action ?>">

			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Exercice :</label>
				<div class="input">
					<?php if(isset($values["exercice"])): ?>
						<select name="exercice" class="form-control <?= form_error('exercice') ? 'input-error' : '' ?>" onchange="getTermInscription(this)" <?= (isset($action) && $action === "update") ? "disabled" : "" ?>>
							<?php foreach($exercices as $exercice): ?>
								<option value="<?= $exercice->idExercice ?>" <?= ($values["exercice"] === $exercice->idExercice) ? "selected" : "" ?>><?= $exercice->anneeExercice ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select name="exercice" class="form-control <?= form_error('exercice') ? 'input-error' : '' ?>" onchange="getTermInscription(this)">
							<?php foreach($exercices as $exercice): ?>
								<option value="<?= $exercice->idExercice ?>"><?= $exercice->anneeExercice ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
					<div class="form-error"><?= form_error('exercice') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Term :</label>
				<div class="input" id="term-inscription">
					<?php include("components/term_inscription.php") ?>
				</div>
				
			</div>
			
			<div id="form-inscription">
				<?php include("components/form_inscription.php") ?>
			</div>
			
			
		</form>
	</div>
	<div class="main-search d-flex justify-content-between align-items-center">
		<div class="search-info w-50">
			<span class="d-block">Liste des inscriptions</span>
		</div>
		<div class="search-form w-50">
			<form class="d-flex position-relative" method="post" action="<?= base_url("inscription/inscription/filter") ?>" onsubmit="filter(event,this)">
				<a href="<?= base_url("inscription/inscription/export") ?>" class="btn btn-success mr-2" style="width: 200px" target="_blank">Exporter</a>
				<input type="text" name="query" class="form-control" placeholder="Recherche..." value="<?= $query ?? null ?>">
				<button type="submit" class="btn-search"><i class="fa-solid fa-search"></i></button>
			</form>

		</div>
	</div>
	<div class="main-table table-responsive">
		<table class="table">
			<thead>
				<tr>
					<th>Exercice</th>
					<th>Term</th>
					<th>Matricule</th>
					<th>Nom & prénoms</th>
					<th>Classe</th>
					<th>Niveau</th>
					<th>Compagnie</th>
					<th>Horaire</th>
					<th>Montant</th>
					<th>Actions</th>
				</tr>
			</thead>
			<tbody id="tbody">
				<?php foreach($lists as $list): ?>
					<tr>
						<td><?= $list->anneeExercice ?></td>
						<td><?= $list->nomTerm ?></td>
						<td><?=	str_pad($list->matriculeEtudiant, 5,"0",STR_PAD_LEFT) ?></td>
						<td><?= $list->nom ?> <?= $list->prenom ?></td>
						<td><?= $list->codeClasse ?></td>
						<td><?= $list->codeNiveau ?></td>
						<td><?= $list->nomCompany ?></td>
						<?php if($list->idHoraireCours): ?>
							<td><?= $list->debutCours ?> <?= $list->finCours ?></td>
						<?php else: ?>
							<td class="text-success">ONLINE</td>
						<?php endif ?>
						<td><?= Utility::format_money($list->ecolageRemise) ?></td>
						<td>
							<form action="<?= base_url("inscription/inscription/print") ?>" class="d-inline-block" method="post" target="_blank">
								<input type="hidden" name="id" value="<?= $list->idInscriptionCours ?>">
								<button type="submit" class="btn p-0 text-info">
									<i class="fa-solid fa-print"></i>
								</button>
							</form>
							<form action="<?= base_url("inscription/inscription/getOne") ?>" onsubmit="getOne(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idInscriptionCours ?>">
								<button type="submit" class="btn p-0">
									<i class="fa-solid fa-pen-to-square"></i>
								</button>
							</form>
							<form action="<?= base_url("inscription/inscription/delete") ?>" onsubmit="remove(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idInscriptionCours ?>">
								<button type="submit" class="btn p-0 text-danger">
									<i class="fa-solid fa-trash-can"></i>
								</button>
							</form>
						</td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	</div>
	<?php if($totals > LIMIT_PAGINATION): ?>
		<div class="main-pagination text-center mt-3">
			<nav aria-label="Page navigation example" class="d-inline-block">
				<ul class="pagination">
				    <li class="page-item">
				    	<?php if(isset($query)): ?>
				    		<a class="page-link" href="<?= base_url("inscription/inscription/page/" . ($currentPage - 1) . "?query=$query") ?>" onClick="paginate(event,this)"><span class="mr-2"><i class="fa-solid fa-angles-left"></i></span>Préc</a>
				    	<?php else: ?>
				    		<a class="page-link" href="<?= base_url("inscription/inscription/page/" . ($currentPage - 1)) ?>" onClick="paginate(event,this)"><span class="mr-2"><i class="fa-solid fa-angles-left"></i></span>Préc</a>
				    	<?php endif; ?>
				    	
				    </li>
				    <li class="mx-2 d-flex align-items-center text-muted">
				    	<span class="Lexend_Regular text-dark"><?= $currentPage ?></span>
				    	<span class="mx-1">/</span> 
				    	<span><?= ceil($totals / LIMIT_PAGINATION) ?></span>
				    </li>
				    <li class="page-item">
				    	<?php if(isset($query)): ?>
				    		<a class="page-link" href="<?= base_url("inscription/inscription/page/" . ($currentPage + 1)) . "?query=$query" ?>" onClick="paginate(event,this)">Suiv<span class="ml-2"><i class="fa-solid fa-angles-right"></i></span></a>
				    	<?php else: ?>
				    		<a class="page-link" href="<?= base_url("inscription/inscription/page/" . ($currentPage + 1)) ?>" onClick="paginate(event,this)">Suiv<span class="ml-2"><i class="fa-solid fa-angles-right"></i></span></a>
				    	<?php endif; ?>
				    </li>
				</ul>
			</nav>
		</div>
	<?php endif; ?>
</div>

<?php include("components/modal_inscription.php") ?>


