<?= $values["alert"] ?? null ?>
<div class="container main-container">
	<div class="main-form">
		
		<nav class="main-navigation d-flex">
			<a href="<?= base_url("pointage/pointage") ?>" class="main-navigation-link Lexend_Regular <?= $active === 1 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Pointage</a>
			<a href="<?= base_url("pointage/historique") ?>" class="main-navigation-link Lexend_Regular <?= $active === 2 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Historique</a>
		</nav>

		<?php if($action === "create"): ?>
			<form class="form-content" method="post" action="<?= base_url("pointage/pointage/create") ?>" onsubmit="sendForm(event,this)">
		<?php else: ?>
			<form class="form-content" method="post" action="<?= base_url("pointage/pointage/update") ?>" onsubmit="sendForm(event,this)">
		<?php endif ?>
			<input type="hidden" name="id" value="<?= $values["id"] ?? null ?>">
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Date :</label>
				<div class="input">
					<input type="date" name="date" class="form-control <?= form_error('date') ? 'input-error' : '' ?>" value="<?= date("Y-m-d") ?>" readonly>
					<div class="form-error"><?= form_error('date') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Matricule :</label>
				<div class="input">
					<input type="text" name="matricule" class="form-control <?= form_error('matricule') ? 'input-error' : '' ?>" value="<?= $values["matricule"] ?? null ?>" onblur="getInfoPointage(this)" <?= ($action === "update") ? 'disabled' : '' ?>>
					<div class="form-error"><?= form_error('matricule') ?></div>
				</div>
				
			</div>
			<div id="form-pointage-content">
				<?php include("components/form_pointage.php") ?>
			</div>
			
			<div class="form-input d-flex flex-wrap mt-3">
				<label class="mb-0 Lexend_ExtraLight"></label>
				<div class="input">
					<?php if($action === "create"): ?>
						<button type="submit" class="btn btn-dark btn-block">Enregistrer</button>
					<?php else: ?>
						<button type="submit" class="btn btn-success btn-block">Modifier</button>
					<?php endif ?>
				</div>
				
			</div>
		</form>
	</div>
	<div class="main-search d-flex justify-content-between align-items-center">
		<div class="search-info w-50">
			<span class="d-block">Liste des pointages</span>
			<span class="text-sm"><?= date("d/m/Y") ?></span>
		</div>
		<div class="search-form w-50">
			<form class="d-flex position-relative" method="post" action="<?= base_url("pointage/pointage/filter") ?>" onsubmit="filter(event,this)">
				<!-- <a href="#" class="btn btn-success mr-2" style="width: 200px" target="_blank">Exporter</a> -->
				<input type="text" name="query" class="form-control" placeholder="Recherche..." value="<?= $query ?? null ?>">
				<button type="submit" class="btn-search"><i class="fa-solid fa-search"></i></button>
			</form>

		</div>
	</div>
	<div class="main-table table-responsive">
		<table class="table">
			<thead>
				<tr>
					<th>Matricule</th>
					<th>Nom & prénoms</th>
					<th>Arrivé</th>
					<th>Départ</th>
					<th>Action</th>
				</tr>
			</thead>
			<tbody id="tbody">
				<?php foreach($lists as $list): ?>
					<tr>
						<td><?= $list->matriculeEnseignant ?></td>
						<td><?= $list->nomEnseignant ?> <?= $list->prenomEnseignant ?></td>
						<td><?= $list->heureArrive ?></td>
						<td><?= $list->heureDepart ?></td>
						<td>
							<?php if(!$list->heureDepart): ?>
								<form action="<?= base_url("pointage/pointage/out") ?>" onsubmit="getOne(event,this)" class="d-inline-block">
									<input type="hidden" name="id" value="<?= $list->idPointage ?>">
									<button type="submit" class="btn p-0 text-info">
										<i class="fa-solid fa-right-from-bracket"></i>
									</button>
								</form>
							<?php else: ?>
								<div class="d-inline-block">
									<button type="button" disabled class="btn p-0 text-muted">
										<i class="fa-solid fa-right-from-bracket"></i>
									</button>
								</div>
							<?php endif; ?>
							<form action="<?= base_url("pointage/pointage/getOne") ?>" onsubmit="getOne(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idPointage ?>">
								<button type="submit" class="btn p-0">
									<i class="fa-solid fa-pen-to-square"></i>
								</button>
							</form>
							<form action="<?= base_url("pointage/pointage/delete") ?>" onsubmit="remove(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idPointage ?>">
								<button type="submit" class="btn p-0 text-danger">
									<i class="fa-solid fa-trash-can"></i>
								</button>
							</form>
						</td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	</div>
</div>