<?= $values["alert"] ?? null ?>
<div class="container main-container">
	<div class="main-form">
		
		<nav class="main-navigation d-flex">
			<a href="<?= base_url("testNiveau/etudiant") ?>" class="main-navigation-link Lexend_Regular <?= $active === 1 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Etudiant</a>
			<a href="<?= base_url("testNiveau/inscriptionPT") ?>" class="main-navigation-link Lexend_Regular <?= $active === 2 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Inscription</a>
			<a href="<?= base_url("testNiveau/facturePT") ?>" class="main-navigation-link Lexend_Regular <?= $active === 3 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Facture</a>
		</nav>

		<?php if($action === "create"): ?>
			<form class="form-content" method="post" action="<?= base_url("testNiveau/inscriptionPT/create") ?>" onsubmit="sendForm(event,this)" id="form-inscriptionPT">
		<?php else: ?>
			<form class="form-content" method="post" action="<?= base_url("testNiveau/inscriptionPT/update") ?>" onsubmit="sendForm(event,this)" id="form-inscriptionPT">
		<?php endif ?>


			<input type="hidden" name="id" value="<?= $values["id"] ?? null ?>">
			<div id="form-inscriptionPT-content">
				<?php include("components/form_inscription.php") ?>
				<?php include("components/sallePT.php") ?>
			</div>

			<div class="form-input d-flex flex-wrap mt-3">
				<label class="mb-0 Lexend_ExtraLight"></label>
				<div class="input">
					<?php if($action === "create"): ?>
						<button type="submit" class="btn btn-dark btn-block">Enregistrer</button>
					<?php else: ?>
						<button type="submit" class="btn btn-success btn-block">Modifier</button>
					<?php endif ?>
				</div>
				
			</div>
		</form>

	</div>

	<div class="main-search d-flex justify-content-between align-items-center">
		<div class="search-info w-50">
			<span class="d-block">Liste des inscriptions</span>
		</div>
		<div class="search-form w-50">
			<form class="d-flex position-relative" method="post" action="<?= base_url("testNiveau/inscriptionPT/filter") ?>" onsubmit="filter(event,this)">
				<a href="<?= base_url("testNiveau/inscriptionPT/export") ?>" class="btn btn-success mr-2" style="width: 200px" target="_blank">Exporter</a>
				<input type="text" name="query" class="form-control" placeholder="Recherche..." value="<?= $query ?? null ?>">
				<button type="submit" class="btn-search"><i class="fa-solid fa-search"></i></button>
			</form>

		</div>
	</div>

	<div class="main-table table-responsive">
		<table class="table">
			<thead>
				<tr>
					<th>Numéro PT</th>
					<th>Classe</th>
					<th>Nom & prénoms</th>
					<th>Date examen</th>
					<th>Salle ecrit</th>
					<th>Heure ecrit</th>
					<th>Salle orale</th>
					<th>Heure orale</th>
					<th>Actions</th>
				</tr>
			</thead>
			<tbody id="tbody">
				<?php foreach($lists as $list): ?>
					<tr>
						<td><?= $list->numeroPT ?></td>
						<td><?= $list->codeClass ?></td>
						<td><?=	$list->nom ?> <?=	$list->prenom ?></td>
						<td><?= $list->dateTest ?></td>
						<td><?= $list->s_ecrit ?></td>
						<td><?= $list->heureEcrit ?></td>
						<td><?= $list->s_oral ?></td>
						<td><?= $list->heureOral ?></td>
						<td>
							<form action="<?= base_url("testNiveau/inscriptionPT/printRecu") ?>" method="post" class="d-inline-block" target="_blank">
								<input type="hidden" name="id" value="<?= $list->idInscriptionPT ?>">
								<button type="submit" class="btn p-0 text-info">
									<i class="fa-solid fa-print"></i>
								</button>
							</form>
							<form action="<?= base_url("testNiveau/inscriptionPT/getOne") ?>" onsubmit="getOne(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idInscriptionPT ?>">
								<button type="submit" class="btn p-0">
									<i class="fa-solid fa-pen-to-square"></i>
								</button>
							</form>
							<form action="<?= base_url("testNiveau/inscriptionPT/delete") ?>" onsubmit="remove(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idInscriptionPT ?>">
								<button type="submit" class="btn p-0 text-danger">
									<i class="fa-solid fa-trash-can"></i>
								</button>
							</form>
						</td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	</div>

	<?php if($totals > LIMIT_PAGINATION): ?>
		<div class="main-pagination text-center mt-3">
			<nav aria-label="Page navigation example" class="d-inline-block">
				<ul class="pagination">
				    <li class="page-item">
				    	<?php if(isset($query)): ?>
				    		<a class="page-link" href="<?= base_url("testNiveau/inscriptionPT/page/" . ($currentPage - 1) . "?query=$query") ?>" onClick="paginate(event,this)"><span class="mr-2"><i class="fa-solid fa-angles-left"></i></span>Préc</a>
				    	<?php else: ?>
				    		<a class="page-link" href="<?= base_url("testNiveau/inscriptionPT/page/" . ($currentPage - 1)) ?>" onClick="paginate(event,this)"><span class="mr-2"><i class="fa-solid fa-angles-left"></i></span>Préc</a>
				    	<?php endif; ?>
				    	
				    </li>
				    <li class="mx-2 d-flex align-items-center text-muted">
				    	<span class="Lexend_Regular text-dark"><?= $currentPage ?></span>
				    	<span class="mx-1">/</span> 
				    	<span><?= ceil($totals / LIMIT_PAGINATION) ?></span>
				    </li>
				    <li class="page-item">
				    	<?php if(isset($query)): ?>
				    		<a class="page-link" href="<?= base_url("testNiveau/inscriptionPT/page/" . ($currentPage + 1)) . "?query=$query" ?>" onClick="paginate(event,this)">Suiv<span class="ml-2"><i class="fa-solid fa-angles-right"></i></span></a>
				    	<?php else: ?>
				    		<a class="page-link" href="<?= base_url("testNiveau/inscriptionPT/page/" . ($currentPage + 1)) ?>" onClick="paginate(event,this)">Suiv<span class="ml-2"><i class="fa-solid fa-angles-right"></i></span></a>
				    	<?php endif; ?>
				    </li>
				</ul>
			</nav>
		</div>
	<?php endif; ?>
</div>


<script>
	$(".ui.dropdown").dropdown();
</script>